apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.33.0 (3ce457399)
  labels:
    io.kompose.service: teslamate
  name: teslamate
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: teslamate
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.33.0 (3ce457399)
      labels:
        io.kompose.network/teslamate-default: "true"
        io.kompose.service: teslamate
    spec:
      containers:
        - env:
            - name: DATABASE_HOST
              value: database
            - name: DATABASE_NAME
              value: teslamate
            - name: DATABASE_PASS
              value: ganopacha007
            - name: DATABASE_USER
              value: teslamate
            - name: ENCRYPTION_KEY
              value: ganopacha007
            - name: MQTT_HOST
              value: 192.168.10.39
            - name: MQTT_PASSWORD
              value: hadash
            - name: MQTT_PORT
              value: "1883"
            - name: MQTT_USERNAME
              value: hadash
          image: teslamate/teslamate:latest
          name: teslamate
          ports:
            - containerPort: 4000
              hostPort: 4000
              protocol: TCP
          securityContext:
            capabilities:
              drop:
                - all
          volumeMounts:
            - mountPath: /opt/app/import
              name: teslamate-claim0
      restartPolicy: Always
      volumes:
        - name: teslamate-claim0
          persistentVolumeClaim:
            claimName: teslamate-claim0
